{
  "easycom": {
    "^u-(.*)": "@/uview-ui/components/u-$1/u-$1.vue"
  },
  "condition": {
    //模式配置，仅开发期间生效
    "current": 0, //当前激活的模式(list 的索引项)
    "list": [
      {
        "name": "瑜伽", //模式名称
        "path": "pages/index/index"
      }
    ]
  },
  "pages": [
	{
	  "path": "pages/index/index",
	  "style": {
		  "navigationStyle":"custom",
		  "navigationBarTextStyle": "black",
		  "enablePullDownRefresh": false,
		  "app-plus":{
		      "bounce":"none" // 将回弹属性关掉
		  }
	  }
	},
    {
      "path": "pages/login/register",
      "style": {
        "app-plus": {
          "titleNView": false
        }
      }
    },
	{
	  "path": "pages/login/login",
	  "style": {
	    "app-plus": {
	      "titleNView": false
	    }
	  }
	},
	{
	  "path": "pages/category/category",
	  "style": {
		  "navigationStyle":"custom",
		  "navigationBarTextStyle": "black",
		  "enablePullDownRefresh": false,
		  "app-plus":{
		      "bounce":"none" // 将回弹属性关掉
		  }
	  }
	},
	{
	    "path" : "pages/category/detail",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "",
	        "enablePullDownRefresh": false
	    }
	},
	{
		"path": "pages/teacher/detail",
		"style": {
			// "navigationBarTextStyle": "black",
			// "navigationBarTitleText": "老师详情",
			"app-plus": {
				"titleNView": false
				// "titleNView": {
				// 	"type": "transparent"
				// }
			}
		}
	},
	{
	    "path" : "pages/teacher/course",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "课程表",
	        "enablePullDownRefresh": false
	    }
	},
	{
	    "path" : "pages/user/mycourse",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "我的课程",
	        "enablePullDownRefresh": false
	    }
	},
	{
	    "path" : "pages/user/mycourseinfo",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "课程详情",
	        "enablePullDownRefresh": false
	    }
	},
	{
	    "path" : "pages/user/mycustom",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "我的客户",
	        "enablePullDownRefresh": false
	    }
	},
	{
	    "path" : "pages/user/mycollect",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "我的收藏",
	        "enablePullDownRefresh": false
	    }
	},
	{
	    "path" : "pages/user/tclist",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "提成统计",
	        "enablePullDownRefresh": false
	    }
	},
	{
	    "path" : "pages/user/tclist",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "提成统计",
	        "enablePullDownRefresh": false
	    }
	},
	{
	    "path" : "pages/user/kslist",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "课时统计",
	        "enablePullDownRefresh": false
	    }
	},
	{
	    "path" : "pages/user/xslist",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "销售信息",
	        "enablePullDownRefresh": false
	    }
	},
	{
	    "path" : "pages/user/cdlist",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "场地销售",
	        "enablePullDownRefresh": false
	    }
	},
	{
	    "path" : "pages/user/jslist",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "教练费用",
	        "enablePullDownRefresh": false
	    }
	},
	{
	    "path" : "pages/teacher/chat",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "咨询",
	        "enablePullDownRefresh": false
	    }
	},
	{
	    "path" : "pages/product/list",
	    "style": {
			"navigationBarTextStyle": "black",
	      "app-plus": {
	        "titleNView": false
	      }
	    }
	},
	{
	    "path" : "pages/product/cxlist",
	    "style": {
	      "app-plus": {
	        "titleNView": false
	      }
	    }
	},
	{
	    "path" : "pages/cart/cart",
	    "style": {
	      "app-plus": {
	        "titleNView": false
	      }
	    }
	},
	{
	    "path" : "pages/product/order",
	    "style": {
	        "navigationBarTitleText": "订单确认",
	        "enablePullDownRefresh": false
	    }
	},
	{
		"path": "pages/product/detail",
		"style": {
			// "navigationBarTextStyle": "black",
			"navigationBarTitleText": "详情展示",
			"app-plus": {
				// "titleNView": false
				"titleNView": {
					"type": "transparent"
				}
			}
		}
	},
	{
	    "path" : "pages/product/service",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "客服",
	        "enablePullDownRefresh": false
	    }
	},
	{
	    "path" : "pages/user/serviceInfo",
	    "style" :                                                                                    
	    {
	        "navigationBarTitleText": "客服",
	        "enablePullDownRefresh": false
	    }
	},
	{
		"path": "pages/product/cdetail",
		"style": {
			// "navigationBarTextStyle": "black",
			"navigationBarTitleText": "课程详情展示",
			"app-plus": {
				// "titleNView": false
				"titleNView": {
					"type": "transparent"
				}
			}
		}
	},
    {
      "path": "pages/user/user",
      "style" :
      {
          "navigationBarTitleText": "我的",
          "enablePullDownRefresh": false
      }
    },
	{
	  "path": "pages/user/userEdit",
	  "style" :
	  {
	      "navigationBarTitleText": "我的信息",
	      "enablePullDownRefresh": false
	  }
	},
	{
	  "path": "pages/user/set",
	  "style" :
	  {
	      "navigationBarTitleText": "设置",
	      "enablePullDownRefresh": false
	  }
	},
	{
	  "path": "pages/user/pwdset",
	  "style" :
	  {
	      "navigationBarTitleText": "修改密码",
	      "enablePullDownRefresh": false
	  }
	},
	{
	  "path": "pages/address/alist",
	  "style" :
	  {
	      "navigationBarTitleText": "收货地址",
	      "enablePullDownRefresh": false
	  }
	},
	{
	  "path": "pages/address/add",
	  "style" :
	  {
	      "navigationBarTitleText": "收货地址",
	      "enablePullDownRefresh": false
	  }
	},
	{
	  "path": "pages/user/myevaluat",
	  "style" :
	  {
	      "navigationBarTitleText": "我的评价",
	      "enablePullDownRefresh": false
	  }
	},
	{
	    "path" : "pages/user/courselist",
	    "style": {
		  "navigationBarTextStyle": "black",
	      "app-plus": {
	        "titleNView": false
	      }
	    }
	},
	{
	  "path": "pages/message/group",
	  "style": {
		  "enablePullDownRefresh": true,
		  "navigationBarBackgroundColor": "#89965f",
		  "app-plus": {
		    "titleNView": false
		  }
	  }
	},
	{
	  "path": "pages/message/contact",
	  "style": {
		  "enablePullDownRefresh": true,
		  "navigationBarBackgroundColor": "#89965f",
		  "app-plus": {
		    "titleNView": false
		  }
	  }
	},
	{
	  "path": "pages/order/orderlist",
	  "style" :
	  {
	      "navigationBarTitleText": "我的订单",
	      "enablePullDownRefresh": false
	  }
	},
	{
	  "path": "pages/order/orderinfo",
	  "style" :
	  {
	      "navigationBarTitleText": "订单详情",
	      "enablePullDownRefresh": false
	  }
	},
	{
	  "path": "pages/book/booklist",
	  "style" :
	  {
	      "navigationBarTitleText": "我的预约",
	      "enablePullDownRefresh": false
	  }
	},
	{
	  "path": "pages/book/bookinfo",
	  "style" :
	  {
	      "navigationBarTitleText": "预约详情",
	      "enablePullDownRefresh": false
	  }
	},
	{
	  "path": "pages/book/book",
	  "style" :
	  {
	      "navigationBarTitleText": "预约课程",
	      "enablePullDownRefresh": false
	  }
	},
	{
	  "path": "pages/book/bookpj",
	  "style" :
	  {
	      "navigationBarTitleText": "预约评价",
	      "enablePullDownRefresh": false
	  }
	},
	{
	  "path": "pages/order/orderwl",
	  "style" :
	  {
	      "navigationBarTitleText": "物流信息",
	      "enablePullDownRefresh": false
	  }
	},
	{
	  "path": "pages/order/orderpj",
	  "style" :
	  {
	      "navigationBarTitleText": "订单评价",
	      "enablePullDownRefresh": false
	  }
	},
	
	// ……其他页面配置 更新版本
	{
	  "path": "uni_modules/uni-upgrade-center-app/pages/upgrade-popup",
	  "style": {
	    "disableScroll": true,
	    "app-plus": {
	      "backgroundColorTop": "transparent",
	      "background": "transparent",
	      "titleNView": false,
	      "scrollIndicator": false,
	      "popGesture": "none",
	      "animationType": "fade-in",
	      "animationDuration": 200
	    }
	  }
	}
	
  ],
  "globalStyle": {
	"pageOrientation": "auto",
    "navigationStyle": "default", // "navigationStyle": "custom",
    "navigationBarTextStyle": "white",
    "navigationBarBackgroundColor": "#89965f",
    "backgroundColor": "#89965f"
  },
  "tabBar": {
    "color": "#909399",
    "selectedColor": "#303133",
    "backgroundColor": "#FFFFFF",
    "borderStyle": "black",
    "list": [
      {
        "pagePath": "pages/index/index",
		"text": "首页",
        "iconPath": "static/image/icon/home.png",
        "selectedIconPath": "/static/image/icon/home-active.png"
      },
	  {
	    "pagePath": "pages/category/category",
		"text": "分类",
	    "iconPath": "static/image/icon/sort.png",
	    "selectedIconPath": "/static/image/icon/sort-active.png"
	  },
	  {
	    "pagePath": "pages/product/list",
	  	"text": "新品",
	    "iconPath": "static/image/icon/good.png",
	    "selectedIconPath": "/static/image/icon/good-active.png"
	  },
	  {
	    "pagePath": "pages/message/group",
		"text": "消息",
	    "iconPath": "/static/image/icon/message.png",
	    "selectedIconPath": "/static/image/icon/message-active.png"
	  },
	  {
	    "pagePath": "pages/cart/cart",
	  	"text": "购物车",
	    "iconPath": "/static/image/icon/cart.png",
	    "selectedIconPath": "/static/image/icon/cart-active.png"
	  },
      {
        "pagePath": "pages/user/user",
		"text": "我的",
        "iconPath": "/static/image/icon/me.png",
        "selectedIconPath": "/static/image/icon/me-active.png"
      }
    ]
  }
}
